/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.

< wxTutorial! Tutorial para el aprendizaje de las bibliotecas wxWidgets.>
Copyright (C) 2009, {Rosa Maria Durante, David Casas, Jose Galvan}
*/

#include "path.h"

#include "app.h"
#include "form.h"

IMPLEMENT_APP(App);

/* -------------------------------------------------- */
/* ------------------ Aplicación -------------------- */
/* -------------------------------------------------- */

bool App::OnInit()
{

  // Creamos la ventana principal de la aplicación.
  Form *main = new Form(wxString::FromUTF8("wx Tutorial!"), 
			wxDefaultPosition, wxSize(1024,550));

  // Mostramos dicha ventana.
  main->Show();

  SetTopWindow(main);
  return true;
}
